Page MenuHomePhabricator

Solve version mismatch between revscoring and pytest (more-itertools)
Closed, ResolvedPublic

Description

There's a version mismatch between pytest and revscoring's dependencies on more-itertools and it's causing issues when running tests.

E.g. `
0.25s$ coverage run --source articlequality -m pytest articlequality -m "not nottravis"
Traceback (most recent call last):

File "/home/travis/virtualenv/python3.5.6/lib/python3.5/site-packages/pytest.py", line 23, in <module>
  from _pytest.python_api import approx, raises
File "/home/travis/virtualenv/python3.5.6/lib/python3.5/site-packages/_pytest/python_api.py", line 9, in <module>
  from more_itertools.more import always_iterable

ImportError: cannot import name 'always_iterable'
Coverage.py warning: No data was collected. (no-data-collected)
The command "coverage run --source articlequality -m pytest articlequality -m "not nottravis"" exited with 1.

Event Timeline

Halfak created this task.Jul 26 2019, 3:59 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJul 26 2019, 3:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Halfak claimed this task.Jul 29 2019, 4:50 PM
Halfak moved this task from Active to Review on the Scoring-platform-team (Current) board.
Halfak closed this task as Resolved.Aug 7 2019, 3:52 PM